Package net.shibboleth.shared.annotation

# Annotation Interface ConfigurationSetting

@Documented @Retention(RUNTIME) @Target(METHOD) public @interface ConfigurationSetting
Identifies a configuration setting that a method exposes.

Used to inform diagnostic features that introspect settings.

Since:
  9.0.0

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`name`
The name for this configuration setting.

## Element Details

### name

@Nonnull String name
The name for this configuration setting.

Returns:
  name of the setting